#ifndef EXTERN_STICKY_NOTES_H
#define EXTERN_STICKY_NOTES_H

/* need variables hbox/vbox/entry and creates a text entry pair */
#define MAKE_TEXT_EDITCELL(x)  hbox = gtk_hbox_new(FALSE, 5); \
 gtk_box_pack_start(GTK_BOX(vbox), hbox, FALSE, TRUE, 0); \
 gtk_widget_show(hbox); \
 entry = gtk_entry_new(); \
 gtk_box_pack_start(GTK_BOX(hbox), entry, FALSE, TRUE, 0); \
 gtk_entry_set_text(GTK_ENTRY(entry), x); \
 gtk_entry_set_editable(GTK_ENTRY(entry), FALSE); \
 gtk_widget_set_sensitive(entry, FALSE); \
 gtk_widget_show(entry); \
 entry = gtk_entry_new(); \
 gtk_box_pack_start(GTK_BOX(hbox), entry, FALSE, TRUE, 0); \
 gtk_widget_show(entry);

extern int sticky_note_create(sticky_note *);
extern void sticky_note_destroy(sticky_note *);

#ifdef INTERNAL_STRNLEN
# define strnlen(x, y) (x - memchr(x, 0, y))
#endif


#endif
